• Emmanuele Bassi's avatar
    gl: Drop OpenGL legacy profile · 4b8b3b43
    Emmanuele Bassi authored
    We simply don't want to care about legacy OpenGL.
    
    All supported platforms also have support for OpenGL ≥ 3.2; it would
    complicate the internal code; and would force us to use legacy GL
    contexts internally if the first context created by the user is a legacy
    GL context, and disable creation of core-3.2 contexts after that.
    
    We will need to fix all our code examples to use the Core 3.2 profile.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741946
    4b8b3b43
gdkwindow.c 329 KB